/*
	ProWesS, PROGS Windowing System

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 14 January 1995
*/

#include "sms_h"
#include "ProWesS_h"

Error exit(PWObject object)
{
	return PWChange(object,PW_SYSTEM_BREAKDOWN,NULL);
}

void init()
{
	PWObject first,second;
	int status;

	PWCreate(NULL,&first,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "beep on exit",
				NULL);
	PWCreate(first,NULL,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "quit",
				PW_POSITION_BELOW, first,
				PW_LOOSE_ACTION_HIT,&exit,
				NULL);
	PWActivate(first);
	PWQuery(first,PW_LOOSE_STATUS,&status);
	if (status==PW_STATUS_SELECTED) SMSBeep(2000,20);
}
