/*
	ProWesS, PROGS Windowing System

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 22 February 1995
*/

#include "sms_h"
#include "win_h"
#include "ProWesS_h"

Error nothing(PWObject object)
{
	return ERR_OK;
}

void init()
{
	PWObject obj,it1,it2;

	PWCreate(NULL,&obj,PW_TYPE_OUTLINE,
				PW_OUTLINE_SLEEP_TEXT, "\\dagger\\sleeping \\bullet\\",
				PW_OUTLINE_QUIT,
				PW_OUTLINE_QUIT_CONFIRM, TRUE,
				PW_OUTLINE_ACTION_DO, &nothing,
				PW_OUTLINE_ACTION_WAKE, &nothing,
				PW_OUTLINE_ACTION_INFO, &nothing,
				NULL);
	PWCreate(obj,&it1,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "just an item or two",
				PW_LOOSE_KEYPRESS, 'j',
				NULL);
	
	PWCreate(obj,&it2,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "to test",
				NULL);
	PWCreate(obj,NULL,PW_TYPE_LABEL,
				PW_LABEL_TEXT, "label for \"just..\"",
				PW_POSITION_ABOVE, it1,
				NULL);
	PWCreate(obj,NULL,PW_TYPE_LABEL,
				PW_LABEL_TEXT, "f10",
				PW_POSITION_LEFT_OF, it2,
				NULL);
	PWActivate(obj);
}
